Install failed. Nightly build Ubuntu 16.04 on missing dependency python3-vobject



  • Hi. I just tried to upgrade an old 8.6.81 nightly build version to 8.7.82 of today.
    On Ubuntu 16.04 it failed on a dependency

    dpkg: dependency problems prevent configuration of python3-grapi.backend.caldav:
    python3-grapi.backend.caldav depends on python3-vobject; however:
    Package python3-vobject is not installed.

    As I can see python3-vobject is available in 18.04 but not on 16.04.
    Any Idea how to fix it?

    Greets Markus


  • Kopano

    @mclu said in Install failed. Nightly build Ubuntu 16.04 on missing dependency python3-vobject:

    dpkg: dependency problems prevent configuration of python3-grapi.backend.caldav:
    python3-grapi.backend.caldav depends on python3-vobject; however:
    Package python3-vobject is not installed.

    This particular backend for grapi (caldav) is optional. Just do not install it if you do not need it. Many grapi related features are currently only available on current distributions. For now, just skip python3-grapi.backend.caldav if you do not need it.



  • Ok.
    Actually I don’t even know what this (and other) packages are about.
    I just use the core server + basic extras like (gateway/spooler/search).
    And as clients the webapp and zpush.

    Is there somewhere a list of packages and a short purpose description of those?


  • Kopano

    @mclu said in Install failed. Nightly build Ubuntu 16.04 on missing dependency python3-vobject:

    Is there somewhere a list of packages and a short purpose description of those?

    Well each package has meta data which can be viewed with the corresponding packaging tools - ideally that should be enough.


Log in to reply